package com.fs.users.controller;

import com.fs.common.core.page.TableDataInfo;
import com.fs.store.domain.FsUser;
import com.fs.store.param.SelectCusListPageParam;
import com.fs.store.service.IFsUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 客户转移审批Controller
 *
 * @author fs
 * @date 2025-04-01
 */
@RestController
@RequestMapping("/company/user")
public class MyCustoController {

    @Autowired
    private IFsUserService fsUserService;


    /**
     * 列出当前公司的客户
     * @param param 参数
     * @return 返回数据
     */
    @GetMapping("/list")
    public TableDataInfo list(SelectCusListPageParam param){
        return fsUserService.selectCusListPage(param);
    }
    /**
     * 导出
     */
    @PostMapping("/export")
    public void export(){

    }
    /**
     * 转移
     * @param user
     */
    @PostMapping("/transfer")
    public void transfer(FsUser user){

    }

}
